
Redmine - Feature #5664

Copying documents too when copying a project

2010-06-10 09:34 - Pedro Gutierrez

Status: Closed Start date: 2010-06-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Currently, when you copy a project there is no possibility to copy the documents it contains (either all or a selection of them).

Concretely we are interested in creating a project template that includes not only wiki pages and issues but also certain basic

documents such as for example:

An Openproj template we use for planning before the projects formally start

An excel sheet we use for projects that need additional monitoring

Document templates for lifecycle specific internal deliverables

Related issues:

Related to Redmine - Feature #5457: Move files and documets to another project New 2010-05-06

Is duplicate of Redmine - Patch #26621: Allow to copy documents along with pr... Closed

History

#1 - 2010-10-03 22:28 - Pedro Gutierrez

This is related to #5457

#2 - 2010-11-01 20:49 - Ian Epperson

Also related to #886 and #3367.  I'd like to see this added for the same reasons given here.

#3 - 2013-05-04 10:32 - Toshi MARUYAMA

- Category set to Documents

#4 - 2014-01-06 09:04 - Michael Esemplare

- File feature_5664_copy_docs.diff added

Added patch against 2.4-stable for copying documents when copying a project.

#5 - 2014-01-11 09:21 - Michael Esemplare

- File feature_5664_copy_docs_w_tests_trunk.diff added

Added patch against trunk and updated unit tests.

#6 - 2014-08-15 04:34 - Michael Esemplare

- File 0001-Adds-ability-to-copy-documents-when-copying-a-projec.patch added

Uploaded a patch to provide this feature.

The patch will be kept up to date in this feature branch:

https://github.com/esemplare/redmine/tree/feature_5664

This patch is against redmine/trunk.

#7 - 2016-07-04 03:58 - Hugues C.

Isn't this a bug ? The expected behavior for the average user : copying a project means copying everything, not everything except documents.
#8 - 2017-03-24 18:58 - Kamil .

Bug which is already 7 years old?!

#9 - 2017-08-04 04:28 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing this issue because an updated patch for the current trunk has been submitted as #26621.

#10 - 2017-08-04 04:28 - Go MAEDA

- Is duplicate of Patch #26621: Allow to copy documents along with projects added

Files

feature_5664_copy_docs.diff 2.31 KB 2014-01-06 Michael Esemplare

feature_5664_copy_docs_w_tests_trunk.diff 4.78 KB 2014-01-11 Michael Esemplare

0001-Adds-ability-to-copy-documents-when-copying-a-projec.patch 5.38 KB 2014-08-15 Michael Esemplare
